Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Locked
skilcher
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Fri Mar 16, 2018 10:02 pm

Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by skilcher » Tue Jun 26, 2018 4:29 pm

Serious issues with the upgrade. Went from 3.8.8 to 3.8.9. Tried creating and edit a menu item and received this error:

An error has occurred.
0 Cannot use object of type stdClass as array
/home4/lionpri1/public_html/blue/plugins/system/helix3/helix3.php:55
Call stack
# Function Location
1 () JROOT/plugins/system/helix3/helix3.php:55
2 plgSystemHelix3->onContentPrepareForm() JROOT/libraries/joomla/event/event.php:70
3 JEvent->update() JROOT/libraries/joomla/event/dispatcher.php:160
4 JEventDispatcher->trigger() JROOT/libraries/src/MVC/Model/FormModel.php:321
5 Joomla\CMS\MVC\Model\FormModel->preprocessForm() JROOT/administrator/components/com_menus/models/item.php:1254
6 MenusModelItem->preprocessForm() JROOT/libraries/src/MVC/Model/FormModel.php:242
7 Joomla\CMS\MVC\Model\FormModel->loadForm() JROOT/administrator/components/com_menus/models/item.php:552
8 MenusModelItem->getForm() JROOT/libraries/src/MVC/View/HtmlView.php:423
9 Joomla\CMS\MVC\View\HtmlView->get() JROOT/administrator/components/com_menus/views/item/view.html.php:58
10 MenusViewItem->display() JROOT/libraries/src/MVC/Controller/BaseController.php:672
11 Joomla\CMS\MVC\Controller\BaseController->display() JROOT/administrator/components/com_menus/controller.php:75
12 MenusController->display() JROOT/libraries/src/MVC/Controller/BaseController.php:710
13 Joomla\CMS\MVC\Controller\BaseController->execute() JROOT/administrator/components/com_menus/menus.php:18
14 require_once() JROOT/libraries/src/Component/ComponentHelper.php:382
15 Joomla\CMS\Component\ComponentHelper::executeComponent() JROOT/libraries/src/Component/ComponentHelper.php:357
16 Joomla\CMS\Component\ComponentHelper::renderComponent() JROOT/libraries/src/Application/AdministratorApplication.php:101
17 Joomla\CMS\Application\AdministratorApplication->dispatch() JROOT/libraries/src/Application/AdministratorApplication.php:159
18 Joomla\CMS\Application\AdministratorApplication->doExecute() JROOT/libraries/src/Application/CMSApplication.php:195
19 Joomla\CMS\Application\CMSApplication->execute() JROOT/administrator/index.php:51


Reinstalled site from backup with ver 3.8.8, creating and editing menu worked, then noticed there was another update to 3.8.10. After update, received the same error when trying to edit a menu. Creating a new menu was fine this time!

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 14959
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.9.10

Post by toivo » Tue Jun 26, 2018 4:44 pm

Are you using a Helix template? Is your Helix framework the latest version?
Toivo Talikka, Global Moderator

skilcher
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Fri Mar 16, 2018 10:02 pm

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by skilcher » Tue Jun 26, 2018 4:45 pm

Yes sir, I am and it is the most up to date.

Thanks

User avatar
pmleconte
Joomla! Guru
Joomla! Guru
Posts: 532
Joined: Fri Mar 17, 2017 12:55 pm
Location: France

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by pmleconte » Tue Jun 26, 2018 6:00 pm

Hi,

If you take a look at Github,you'll find same kind of issues: https://github.com/joomla/joomla-cms/issues/20878 (coalaweb) and https://github.com/joomla/joomla-cms/issues/20874 (PWT SiteMap).

It's due to a change in com_menu (see https://github.com/joomla/joomla-cms/pull/20313).

This means that com_menus expects an object and your menu extension does not create one.

Pascal
If anything can go wrong, it will.
https://www.conseilgouz.com/en

User avatar
pmleconte
Joomla! Guru
Joomla! Guru
Posts: 532
Joined: Fri Mar 17, 2017 12:55 pm
Location: France

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by pmleconte » Tue Jun 26, 2018 6:03 pm

If anything can go wrong, it will.
https://www.conseilgouz.com/en

skilcher
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Fri Mar 16, 2018 10:02 pm

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by skilcher » Tue Jun 26, 2018 6:07 pm

Hi,

I'm not using coalaweb or PWT SiteMap

User avatar
pmleconte
Joomla! Guru
Joomla! Guru
Posts: 532
Joined: Fri Mar 17, 2017 12:55 pm
Location: France

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by pmleconte » Tue Jun 26, 2018 6:18 pm

skilcher wrote:Hi,

I'm not using coalaweb or PWT SiteMap
Coalaweb and pwt sitemap are already referenced extensions, but, it seems that they are not the only ones.

There's a discussion on github to determine if it's a bug or not : https://github.com/joomla/joomla-cms/issues/20879

Pascal
If anything can go wrong, it will.
https://www.conseilgouz.com/en

stbrides
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Mon May 14, 2018 12:05 am

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by stbrides » Tue Jun 26, 2018 8:04 pm

Menus opened to edit ----->

Error
An error has occurred.

0 Cannot use object of type stdClass as array

Return to Control Panel

Happened on one Joomla update, but not on another different Joomla site.
i am going to wind it back to the previous version and see how this pans out.

mlndfreak
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Tue Jun 26, 2018 8:02 pm

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by mlndfreak » Tue Jun 26, 2018 8:07 pm

It is a Helix System plug in problem, I just disabled the plugin and everything went back to normal. I think you should wait for a plug in update

skilcher
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Fri Mar 16, 2018 10:02 pm

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by skilcher » Wed Jun 27, 2018 10:21 am

Here is the fix for Melix3 menu issue after upgrading to 3.8.9 % 10

https://www.joomshaper.com/forums/helix ... ply-146865

alemao59
Joomla! Fledgling
Joomla! Fledgling
Posts: 1
Joined: Sat Aug 21, 2010 11:51 am

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by alemao59 » Thu Jun 28, 2018 6:33 am

Hi all, i dont think this problem is only related to helix3 plugin as i have the same problem with other sites which are not using the helix3 plugin.
It happens also on sites where i am using the System - Yjsg Framework plugin from youjoomla.Call stack


i get this error messages:

# Function Location
1 () JROOT/plugins/system/yjsg/yjsg.php:1247
2 plgSystemYjsg->onContentPrepareForm() JROOT/libraries/joomla/event/event.php:70
3 JEvent->update() JROOT/libraries/joomla/event/dispatcher.php:160
4 JEventDispatcher->trigger() JROOT/libraries/src/MVC/Model/FormModel.php:321
5 Joomla\CMS\MVC\Model\FormModel->preprocessForm() JROOT/administrator/components/com_menus/models/item.php:1254
6 MenusModelItem->preprocessForm() JROOT/libraries/src/MVC/Model/FormModel.php:242
7 Joomla\CMS\MVC\Model\FormModel->loadForm() JROOT/administrator/components/com_menus/models/item.php:552
8 MenusModelItem->getForm() JROOT/libraries/src/MVC/View/HtmlView.php:423
9 Joomla\CMS\MVC\View\HtmlView->get() JROOT/administrator/components/com_menus/views/item/view.html.php:58
10 MenusViewItem->display() JROOT/libraries/src/MVC/Controller/BaseController.php:672
11 Joomla\CMS\MVC\Controller\BaseController->display() JROOT/administrator/components/com_menus/controller.php:75
12 MenusController->display() JROOT/libraries/src/MVC/Controller/BaseController.php:710
13 Joomla\CMS\MVC\Controller\BaseController->execute() JROOT/administrator/components/com_menus/menus.php:18
14 require_once() JROOT/libraries/src/Component/ComponentHelper.php:382
15 Joomla\CMS\Component\ComponentHelper::executeComponent() JROOT/libraries/src/Component/ComponentHelper.php:357
16 Joomla\CMS\Component\ComponentHelper::renderComponent() JROOT/libraries/src/Application/AdministratorApplication.php:101
17 Joomla\CMS\Application\AdministratorApplication->dispatch() JROOT/libraries/src/Application/AdministratorApplication.php:159
18 Joomla\CMS\Application\AdministratorApplication->doExecute() JROOT/libraries/src/Application/CMSApplication.php:195
19 Joomla\CMS\Application\CMSApplication->execute() JROOT/administrator/index.php:51
Last edited by alemao59 on Thu Jun 28, 2018 6:41 am, edited 1 time in total.

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 14959
Joined: Thu Feb 15, 2007 5:48 am
Location: Sydney, Australia

Re: Serious Errors when Updating from 3.8.8 to 3.8.9 & 3.8.10

Post by toivo » Thu Jun 28, 2018 6:39 am

Apparently it is not an actual bug in Helix3 but in the core. There is an explanation about it here: viewtopic.php?f=706&t=963187#p3530098
Toivo Talikka, Global Moderator


Locked

Return to “Migrating and Upgrading to Joomla! 3.x”